Update a webhook (url, events, status)
PATCH
/projects/{projectId}/webhooks/{webhookId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
webhookId
string
required
path
Request Body
application/jsonurl
string (uri)
events
string[]
Array of:
status
string
Enum:
active, disabledResponses
200
Updated webhook
application/jsondata
object
id
string
url
string (uri)
events
string[]
Array of:
secret
string
Only returned on creation
status
string
Enum:
active, disabledfailure_count
integer
last_triggered_at
string (date-time) | null
created_at
string (date-time)
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/webhooks/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "url": "https://example.com", "events": [ "conversation.created" ], "status": "active"}'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "url": "https://example.com", "events": [ "conversation.created" ], "status": "active" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/webhooks/string', headers=headers, json={ "url": "https://example.com", "events": [ "conversation.created" ], "status": "active"})print(response.json())
200
Response
{ "data": { "id": "<string>", "url": "<uri>", "events": [ "<string>" ], "secret": "<string>", "status": "active", "failure_count": 123, "last_triggered_at": "2024-01-01T00:00:00Z", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
PATCH
/projects/{projectId}/webhooks/{webhookId}